Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetTrendingStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSets>
it.tdlight.jni.TdApi.GetTrendingStickerSets

Enclosing class:
  TdApi

public static final class TdApi.GetTrendingStickerSets extends TdApi.Function<TdApi.StickerSets>
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `StickerSets`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of sticker sets to be returned; up to 100.
`int`
`offset`
The offset from which to return the sticker sets; must be non-negative.

## Constructor Summary

Constructors
Constructor
Description
`GetTrendingStickerSets()`
Returns a list of trending sticker sets.
`GetTrendingStickerSets(int offset, int limit)`
Returns a list of trending sticker sets.
`GetTrendingStickerSets(DataInput input)`
Returns a list of trending sticker sets.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### offset

public int offset
The offset from which to return the sticker sets; must be non-negative.

### limit

public int limit
The maximum number of sticker sets to be returned; up to 100. For optimal performance, the number of returned sticker sets is chosen by TDLib and can be smaller than the specified limit, even if the end of the list has not been reached.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetTrendingStickerSets

public GetTrendingStickerSets()
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `StickerSets`

### GetTrendingStickerSets

public GetTrendingStickerSets(int offset, int limit)
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `StickerSets`

Parameters:
  `offset` - int The offset from which to return the sticker sets; must be non-negative.
  `limit` - int The maximum number of sticker sets to be returned; up to 100. For optimal performance, the number of returned sticker sets is chosen by TDLib and can be smaller than the specified limit, even if the end of the list has not been reached.

### GetTrendingStickerSets

public GetTrendingStickerSets(DataInput input) throws IOException
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `StickerSets`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`